Bug 518 - uim-anthy doesn't handle "nq" key sequence properly
Summary: uim-anthy doesn't handle "nq" key sequence properly
Status: RESOLVED FIXED
Alias: None
Product: UIM
Classification: Unclassified
Component: IM: Other IMs (show other bugs)
Version: unspecified
Hardware: All All
: medium normal
Assignee: YamaKen
QA Contact:
URL: http://lists.sourceforge.jp/mailman/a...
Whiteboard:
Keywords:
Depends on: 520
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-21 01:00 UTC by YamaKen
Modified: 2004-04-20 17:39 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description YamaKen 2004-04-21 01:00:35 UTC
uim-skk doesn't handle "nq" key sequence properly in kana-mode. The expected
behavior is:

1. commit "n" as hiragana or katakana (according to input mode)
2. switch kana-mode by "q" (hiragana to katakana, or reversely)

But current implementation is:

1. switch kana-mode by "q" (hiragana to katakana, or reversely)
2. pending "n" is simply discarded
Comment 1 TOKUNAGA Hiroyuki 2004-04-22 01:00:38 UTC
Fixed. See svn diff -r 733:734
Comment 2 YamaKen 2004-04-22 03:38:12 UTC
Following problems had caused.

- Pending "n" and kana-converted "n" are appended duplicately
- Pending "n" and kana-converted "n" are committed duplicately on anthy-commit-key?
Comment 3 YamaKen 2004-04-22 03:39:19 UTC
Fixed again by r736.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.